<?php
declare( strict_types=1 );

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * ╭────────────╮
 * | Pagination |
 * ╰────────────╯
 */
add_filter(
	'fibofilters/config/pagination_selectors',
	fn() => [ '.pagination' ]
);

/*
 * ╭─────────────────╮
 * | Pagination args |
 * ╰─────────────────╯
 */
add_filter(
	'fibofilters/config/pagination_args',
	function ( $args ) {
		return wp_parse_args(
			[
				'wrapper_class' => 'row row-parent limit-width pagination',
				'end_size'      => 1,
				'mid_size'      => 2,
				'prev_text'     => '',
				'next_text'     => '',
			],
			$args
		);
	}
);
